Loading...
Searching...
No Matches
pcl::StaticRangeCoder Class Reference

StaticRangeCoder compression class More...

`#include <pcl/compression/entropy_range_coder.h>`

## Public Member Functions

| StaticRangeCoder ()
| Constructor.
virtual | ~StaticRangeCoder ()=default
| Empty deconstructor.
unsigned long | encodeIntVectorToStream (std::vector< unsigned int > &inputIntVector_arg, std::ostream &outputByterStream_arg)
| Encode integer vector to output stream.
unsigned long | decodeStreamToIntVector (std::istream &inputByteStream_arg, std::vector< unsigned int > &outputIntVector_arg)
| Decode stream to output integer vector.
unsigned long | encodeCharVectorToStream (const std::vector< char > &inputByteVector_arg, std::ostream &outputByteStream_arg)
| Encode char vector to output stream.
unsigned long | decodeStreamToCharVector (std::istream &inputByteStream_arg, std::vector< char > &outputByteVector_arg)
| Decode char stream to output vector.

## Protected Types

using | DWord = std::uint32_t

## Detailed Description

StaticRangeCoder compression class

Note
  This class provides static range coding functionality.
  Its symbol probability/frequency table is precomputed and encoded to the output stream

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 111 of file entropy_range_coder.h.

## Member Typedef Documentation

## DWord

using pcl::StaticRangeCoder::DWord = std::uint32_t

protected

Definition at line 157 of file entropy_range_coder.h.

## Constructor & Destructor Documentation

## StaticRangeCoder()

pcl::StaticRangeCoder::StaticRangeCoder | ( |  | ) |

inline

Constructor.

Definition at line 115 of file entropy_range_coder.h.

## ~StaticRangeCoder()

virtual pcl::StaticRangeCoder::~StaticRangeCoder | ( |  | ) |

virtual default

Empty deconstructor.

## Member Function Documentation

## decodeStreamToCharVector()

unsigned long pcl::StaticRangeCoder::decodeStreamToCharVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< char > & | outputByteVector_arg )

Decode char stream to output vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputByteVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 540 of file entropy_range_coder.hpp.

## decodeStreamToIntVector()

unsigned long pcl::StaticRangeCoder::decodeStreamToIntVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< unsigned int > & | outputIntVector_arg )

Decode stream to output integer vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputIntVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 352 of file entropy_range_coder.hpp.

## encodeCharVectorToStream()

unsigned long pcl::StaticRangeCoder::encodeCharVectorToStream | ( | const std::vector< char > & | inputByteVector_arg,
|  | std::ostream & | outputByteStream_arg )

Encode char vector to output stream.

Parameters

  inputByteVector_arg | input vector
  outputByteStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 442 of file entropy_range_coder.hpp.

## encodeIntVectorToStream()

unsigned long pcl::StaticRangeCoder::encodeIntVectorToStream | ( | std::vector< unsigned int > & | inputIntVector_arg,
|  | std::ostream & | outputByterStream_arg )

Encode integer vector to output stream.

Parameters

  [in] | inputIntVector_arg | input vector
  [out] | outputByterStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 221 of file entropy_range_coder.hpp.

The documentation for this class was generated from the following files:

- pcl/compression/entropy_range_coder.h
- pcl/compression/impl/entropy_range_coder.hpp